{
  description = "An opinionated collection of nix packages and templates to scaffold projects with.";

  outputs = { ... }:
      {
        templates = {

          godot-js = {
            path = ./godot-js;
            description = ''
              Scaffolds a project using pkgs.godot with https://github.com/godotjs/GodotJS installed containing a justfile which will start the godot editor with the project loaded.
            '';
          };

          home = {
            config = import ./home;
            description = ''
              My home manager configs
            '';
          };

        };
      };
}